> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Consent TCPA

> Record TCPA consent for a loan application



## OpenAPI

````yaml POST /v1/loans/consent/tcpa
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/consent/tcpa:
    post:
      tags:
        - loans
      summary: Record TCPA Consent
      description: Record TCPA consent for a loan application
      operationId: postV1LoansConsentTcpa
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              description: The request to record consent
              properties:
                email:
                  description: Borrower email (optional)
                  example: email@example.com
                  type: string
                id:
                  description: The unique identifier of the loan application
                  example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                  type: string
                phone:
                  description: Borrower phone number (optional)
                  example: '6666666666'
                  type: string
                termsOfServiceId:
                  description: Loan Platform version identifier of Terms of Service
                  example: '1.0'
                  type: string
              required:
                - id
                - termsOfServiceId
              type: object
          multipart/form-data:
            schema:
              description: The request to record consent
              properties:
                email:
                  description: Borrower email (optional)
                  example: email@example.com
                  type: string
                id:
                  description: The unique identifier of the loan application
                  example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                  type: string
                phone:
                  description: Borrower phone number (optional)
                  example: '6666666666'
                  type: string
                termsOfServiceId:
                  description: Loan Platform version identifier of Terms of Service
                  example: '1.0'
                  type: string
              required:
                - id
                - termsOfServiceId
              type: object
          text/plain:
            schema:
              description: The request to record consent
              properties:
                email:
                  description: Borrower email (optional)
                  example: email@example.com
                  type: string
                id:
                  description: The unique identifier of the loan application
                  example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                  type: string
                phone:
                  description: Borrower phone number (optional)
                  example: '6666666666'
                  type: string
                termsOfServiceId:
                  description: Loan Platform version identifier of Terms of Service
                  example: '1.0'
                  type: string
              required:
                - id
                - termsOfServiceId
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  consent:
                    description: Whether consent was successfully recorded
                    example: true
                    type: boolean
                  consentDateTime:
                    description: Consent timestamp
                    example: '2023-12-25T10:30:00'
                    format: date
                    type: string
                  email:
                    description: Borrower email (optional)
                    example: email@example.com
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  phone:
                    description: Borrower phone number (optional)
                    example: '6666666666'
                    type: string
                  termsOfServiceId:
                    description: Loan Platform version identifier of Terms of Service
                    example: '1.0'
                    type: string
                required:
                  - consent
                  - consentDateTime
                type: object
            multipart/form-data:
              schema:
                properties:
                  consent:
                    description: Whether consent was successfully recorded
                    example: true
                    type: boolean
                  consentDateTime:
                    description: Consent timestamp
                    example: '2023-12-25T10:30:00'
                    format: date
                    type: string
                  email:
                    description: Borrower email (optional)
                    example: email@example.com
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  phone:
                    description: Borrower phone number (optional)
                    example: '6666666666'
                    type: string
                  termsOfServiceId:
                    description: Loan Platform version identifier of Terms of Service
                    example: '1.0'
                    type: string
                required:
                  - consent
                  - consentDateTime
                type: object
            text/plain:
              schema:
                properties:
                  consent:
                    description: Whether consent was successfully recorded
                    example: true
                    type: boolean
                  consentDateTime:
                    description: Consent timestamp
                    example: '2023-12-25T10:30:00'
                    format: date
                    type: string
                  email:
                    description: Borrower email (optional)
                    example: email@example.com
                    type: string
                  id:
                    description: The unique identifier of the loan application
                    example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
                    type: string
                  phone:
                    description: Borrower phone number (optional)
                    example: '6666666666'
                    type: string
                  termsOfServiceId:
                    description: Loan Platform version identifier of Terms of Service
                    example: '1.0'
                    type: string
                required:
                  - consent
                  - consentDateTime
                type: object
          description: The response to recording consent
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````